services:
    Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticator:
        class: Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticator
        public: false

    Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticationProvider:
        class: Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Security\ProjectAuthenticationProvider
        arguments: ['@Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Repository\ProjectRepository']

    Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Repository\ProjectRepository:
        class: Orangear\Admin\Project\AuthenticationContext\InfrastructureBundle\Repository\ProjectRepository
        arguments: ["@doctrine.orm.default_entity_manager"]